@import url(https://fonts.googleapis.com/css?family=Montserrat:400,700);


/* Allgemeines */
html,
body {
	margin: 0;
	padding: 0;
	
	font-family: "Montserrat", serif;
}

#wrapper {
	min-height: 100vh;
	width: 100%;
	
	display: -webkit-flex; /* Safari */
	display: flex;
}

*::after, *::before {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

/* Navigation */

#menue {
	-webkit-flex-basis: 180px; /* Safari */
	flex-basis: 180px;
	
	background-color: rgb(28, 38, 43);
}

#menue-content {
	display: -webkit-flex; /* Safari */
	display: flex;
	
	-webkit-flex-direction: column; /* Safari */
	flex-direction: column;
}

.menue-element {
	text-align: center;
	color: rgba(225, 246, 255, 0.45);
	text-decoration: none;
	padding-top: 10px;
	padding-bottom: 10px;
	border-bottom: 1px solid rgba(225, 246, 255, 0.45);
}

.menue-element a {
	color: rgba(225, 246, 255, 0.45) !important;
	background-color: rgb(28, 38, 43) !important;
	text-decoration: none;
}

.menue-element a img {
	max-width: 25px !important;
}

.site-title {
	background-color: rgb(43, 161, 99);
	color: white;
	font-size: 12px;
	text-align: center;
	padding-top: 10px;
	padding-bottom: 5px;
	margin-top: 0;
	margin-bottom: 0;
}

.menue-bild {
	border-width: 0;
	padding: 0;
}

.menue-bild img {
	max-width: 180px;
	height: auto;
	
	padding: 0;
	margin-bottom: -5px;
}

/* Bootstrap Toogle-Navigation */

.navbar-default {
	border: 0;
}

.container-fluid,
.navbar-collapse,
.navbar-nav li {
	padding: 0;
}

.container-fluid > .navbar-collapse {
	margin: 0;
}

.navbar-nav,
.navbar-nav li{
	width: 100%;
}

.navbar-nav > li > a,
.navbar-brand {
	text-shadow: none;
}

.container-fluid {
	background-color: rgb(28, 38, 43);
	color: rgba(225, 246, 255, 0.45);
}

.navbar-brand {
	display: none;
	color: rgba(225, 246, 255, 0.45);
}

.navbar-default .navbar-nav > .active > a {
	background-image: none;
	background-color: #6D6D6D !important;
}

/* Seiteninhalt */

#content {
	-webkit-flex-basis: auto; /* Safari */
	flex-basis:         auto;
	width: calc(100% - 180px);
	padding: 2em 0 3em;
}

#content h2 {
	font-size: 4em;
	line-height: 1;
	letter-spacing: -4px;
	font-weight: bold;
	padding: .6em 0;
}

#content h3 {
	padding: .8em 3em;
	background-color: #8ACB82;
	font-style: normal;
	font-size: 12px;
	letter-spacing: 0.2em;
	white-space: nowrap;
	display: inline-block;
}

section h2 {
  text-transform: lowercase;
}

section h3, #hobbys h4, #formular-button input, form p {
  text-transform: uppercase;
}

/* Startseite */

.startseite {
	text-align: center;
	background-color: white;
	height: 100%;
}

.voller-name {
	margin-top: 10px;
}

.begruessung,
.beruf {
	font-size: 20px;
	margin-top: 10px;
	margin-bottom: 10px;
	font-weight: 500;
	line-height: 1.1;
	box-sizing: border-box;
	text-align: center;
}

.github-profile-wrapper {
  display: flex;
  justify-content: center;
}

.github-profile {
  margin: 40px 20px 0;
  padding: 10px;
  border: 1px solid lightgrey;
  max-width: 400px;
  background-color: white;
  color: #555;
  font-family: -apple-system,BlinkMacSystemFont,Segoe UI,Helvetica,Arial,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol !important;
  text-align: left;
}

.github-profile-header {
  display: flex;
}

.github-profile-header img {
  height: 48px;
  width: auto;
  border-radius: 5px;
}

.github-names {
  display: flex;
  flex-direction: column;
  margin-left: 10px;
}

.github-names a {
  color: #555 !important;
  text-decoration: none !important;
}

.github-username {
  font-weight: bold;
  font-size: 18px;
}

.github-profile-main {
  margin: 10px 0;
  border-top: 1px solid lightgrey;
  border-bottom: 1px solid lightgrey;
  display: flex;
  justify-content: flex-start;
}

.github-profile-main > div {
  padding: 4px 18px;
  display: flex;
  flex-direction: column;
}

.github-repo-count,
.github-gists-count {
  border-right: 1px solid lightgrey;
}

.github-follower-count,
.github-gists-count {
  border-left: 1px solid lightgrey;
}

.github-repo-count{
  padding-left: 0;
}

.github-info-top {
  font-size: 16px;
  font-weight: bold;
}

.github-info-bottom {
  text-transform: uppercase;
  color: #707070;
  font-size: 12px;
}

/* Datenschutz */

#datenschutz {
  max-width: 1040px;
  margin: 0 auto;
  text-align: left;
}

/* Über mich */

.ueber-mich {
	text-align: center;
	background-color: rgb(236, 240, 240);
}

#ueber-mich {
	margin: 0 auto;
	max-width: 1040px;
}

#beschreibungstext {
	max-width: 700px;
	margin-left: auto;
	margin-right: auto;
}

.freitext {
	text-align: left;
}

#hobbys {
	margin-top: 30px;
	display: flex;
	justify-content: center;
}

.hobby-wrapper{
	width: 50%;
	padding: 10px;
	max-width: 350px;
}

.hobby-wrapper p {
	margin-top: 20px;
	padding: 0 5px;
	text-align: justify;
}

.hobby-wrapper .fact a {
	color: black !important;
	text-decoration: underline !important;
}

.skill{
	display: flex;
	max-width: 550px;
	margin-left: auto;
	margin-right: auto;
	align-items: center;
	height: 40px;
}

.skill p {
	width: 40%;
	font-weight: bold;
	text-align: left;
	margin: 10px 0;
}

.skill-bar {
	width: 60%;
	height: 10px;
	display: block;
	background-color: #d3d3d3;
}

.fortschritt {
	box-shadow: none;
	background-color: #808080;
	height: 10px;
	border-radius: none;
	color: white;
	display: flex;
	justify-content: flex-end;
}

.fortschritt span {
	position: absolute;
	background-color: #808080;
	height: 30px;
	width: 30px;
	padding: 5px;
	border-radius: 15px;
	font-weight: bold;
	margin-top: -10px;
	margin-left: -29px;
}

div[class^='skill-level'] {
	height: 20px;
	background-color: #808080;
	color: white;
	display: flex;
}

div[class^='skill-level'] p {
	width: 100%;
	text-align: center;
}

div[class^='fill-skill-level'] {
	height: 20px;
	background-color: #d3d3d3;
}

.skill-level-50 {
	width: calc(50% - 20px);
}

.fill-skill-level-50 {
	width: 50%;
}

.skill-level-55 {
	width: calc(55% - 20px);
}

.fill-skill-level-55 {
	width: 45%;
}

.skill-level-60 {
	width: calc(60% - 20px);
}

.fill-skill-level-60 {
	width: 40%;
}

.skill-level-65 {
	width: calc(65% - 20px);
}

.fill-skill-level-65 {
	width: 35%;
}

.skill-level-70 {
	width: calc(70% - 20px);
}

.fill-skill-level-70 {
	width: 30%;
}

.skill-level-75 {
	width: calc(75% - 20px);
}

.fill-skill-level-75 {
	width: 25%;
}

.skill-level-80 {
	width: calc(80% - 20px);
}

.fill-skill-level-80 {
	width: 20%;
}

.skill-level-85 {
	width: calc(85% - 20px);
}

.fill-skill-level-85 {
	width: 15%;
}

.skill-level-90 {
	width: calc(90% - 20px);
}

.fill-skill-level-90 {
	width: 10%;
}

.skill-level-95 {
	width: calc(95% - 20px);
}

.fill-skill-level-95 {
	width: 5%;
}

.skill-level-100 {
	width: calc(100% - 20px);
}

.fill-skill-level-100 {
	width: 0%;
}

.dreieck{
	width: 20px;
	height: 20px;
	background-color: #d3d3d3;
}

.dreieck-right {
	border-color: transparent transparent transparent rgb(236, 240, 240);
	border-width: 10px 0px 10px 20px;
	border-style: inset;
}

#myCarousel .item img,
#myCarousel2 .item img {
  width: 100%; 
  max-width: 386px;
}

.glyphicon-chevron-right,
.glyphicon-chevron-left {
  background-color: rgba(0, 0, 0, 0.8);
}

.glyphicon-chevron-right::before,
.glyphicon-chevron-left::before {
  content: '';
}

#myCarousel .carousel-caption,
#myCarousel2 .carousel-caption {
  background-color: rgba(0, 0, 0, 0.8);
}

.ueber-mich .knowledge-wrapper {
  display: flex;
  justify-content: center;
}

.ueber-mich .knowledge {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  max-width: 1000px;
}

.ueber-mich .knowledge figure {
  margin: 10px;
  width: 240px;
}

.ueber-mich .knowledge img {
  height: 100px;
  width: auto;
}

.ueber-mich #repos-wrapper {
  display: flex;
  justify-content: center;
}

.ueber-mich #repos {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;

  font-family: -apple-system,BlinkMacSystemFont,Segoe UI,Helvetica,Arial,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol !important;
  text-align: left;
  max-width: 1000px;
}

.ueber-mich .repo {
  background-color: white;
  width: 400px;
  padding: 16px !important;
  margin: 10px 20px;
}

@media screen and (max-width: 400px) {
  .ueber-mich .repo {
    width: 94%;
    margin-left: 3%;
  }
}

.ueber-mich .repo-header a {
  color: #0366d6 !important;
  text-decoration: none;
  font-weight: 600;
  font-size: 16px;
  line-height: 1.25;
  margin-bottom: 4px;
  display: flex;
}

.ueber-mich .repo-header h4 {
  margin-top: 0;
  margin-left: 5px;
  font-weight: inherit;
}

.ueber-mich .repo-main,
.ueber-mich .repo-footer {
  color: #586069;
}

.ueber-mich .repo-footer {
  margin-top: 5px;
  font-size: 12px;
}

.ueber-mich .repo-color {
  width: 10px;
  display: inline-block;
  height: 10px;
  border-radius: 10px;
}

.ueber-mich .repo-stars {
  margin-left: 15px;
}

.ueber-mich .repo-footer svg {
  padding-top: 5px;
}

/* Lebenslauf */

.lebenslauf {
	text-align: center;
	background-color: rgb(235, 240, 223);
}

.lebenslauf a {
	color: gray;
	text-decoration: underline;
}

#lebenslauf {
	margin: 0 auto;
	max-width: 700px;
}

#lebenslauf ul {
	list-style: none;
	text-align: left;
	border-left: 2px solid black;
	padding-left: 0;
}

.bullet-point {
	margin-left: -15px;
	max-width: 30px;
	margin-right: 20px;
}

.zeitraum span {
	background-color: #FF8888;
	padding: 5px 10px;
	font-weight: bold;
	color: white;
  font-size: 12px;
}

.lebenslauf-inhalt {
	margin-left: 70px;
}

.lebenslauf-inhalt h4 {
  font-size: 20px;
  font-weight: bold;  
}

.lebenslauf-inhalt h5 {
  text-transform: uppercase;
  color: grey;
}

.lebenslauf-pdf {
	background: none;
	color: black !important;
	padding: .7em .8em;
	border: 2px solid black;
	width: 40%;
}

/* Kontakt */

.kontakt {
	text-align: center;
	color: white;
}

#kontaktdaten {
	max-width: 1040px;
	margin: 0 auto;
}

#map {
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	right: 0;
	left: 90px;
	bottom: 0;
	margin: 0;
	line-height: 0;
	z-index: -1;
}

.social-list {
	padding: 0;
	margin: 2em 0 4em 0;
	list-style: none;
	text-align: center;
	box-sizing: border-box;
}

.social-list li {
	display: inline-block;
    padding: 0;
    margin-bottom: -3px;
}

.social-list li a {
	line-height: 48px;
	border: 2px solid rgba(255, 255, 255, 0.26);
	display: block;
	float: left;
	margin: 0 .4em .3em 0;
	text-align: center;
	font-size: 15px;
	font-family: "fontello";
	width: 52px;
	border-radius: 50%;
	transition: all 0.1s;
	font-style: normal;
	font-weight: 400;
	font-variant: normal;
	outline: none;
	background-color: transparent;
}

.social-list li a:hover {
	color: #fff;
	background: #333;
	border-color: transparent;
}

.social-list li a img {
	max-width: 16px;
}

.social-list li a.facebook:hover {
	background-color: #3c5fac;
}

.social-list li a.xing:hover {
	background-color: #006567;
}

.social-list li a.instagram:hover {
	background-color: #d83c6c;
}

.social-list li a.snapchat:hover {
	background-color: #fffc00;
}

.social-list li a.linkedin:hover {
	background-color: #2089b5;
}

.social-list li a.twitter:hover {
	background-color: #5ec3df;
}

.social-list li a.rss:hover {
	background-color: #ea7e31;
}

.row {
    margin: 2em 0 4em 0;
}

.row-content {
	margin: 0 auto;
}

.fact a {
	color: white !important;
	text-decoration: none !important;
}

.fact h4 {
	margin-left: 82px;
	padding-top: 16px;
	max-width: 160px;
	font-size: 14px;
	margin: 0 auto;
	line-height: 1.2;
	font-weight: 400;
}

.fact img {
	max-width: 60px;
}

.tel-mobile {
	display: none;
}

#formularfelder {
	max-width: 600px;
	margin: 0 auto;
}

#formularfelder p {
	font-size: 11px;
	font-weight: bold;
}

.formularfeld {
	margin: 5px 0;
}

.formularfeld p {
	text-align: left;
	margin-bottom: 5px;
}

.formularfeld input,
.formularfeld textarea {
	background: none;
	color: rgba(255, 255, 255, 0.8);
	padding: .7em .8em;
	border: 2px solid rgba(255, 255, 255, 0.6);
	width: 100%;
}

.formularfeld input[type="button"] {
	margin-top: 10px;
	width: 50%;
	min-width: 200px;
}

#formulare-flex {
	display: flex;
}

#formular-name,
#formular-email {
	width: 48%;
}

#formular-name {
	margin-right: 2%;
}

#formular-email {
	margin-left: 2%;
}

#formular-nachricht {
	width: 100%;
}

#formular-nachricht textarea {
	height: 150px;
	vertical-align: top;
}

#formular-button {
	font-size: 11px;
	font-weight: bold;
}

#my-content {
  height: 0px;
}

#my-content input {
  border: none;
  height: 100%;
  padding: 0;
}

#send-success {
  background-color: green;
  padding: 5px 10px;
}

#send-error {
  background-color: red;
  padding: 10px;
}

#send-error p, #send-success p {
  font-size: 14px;
  margin: 0;
}

#send-error a {
  color: grey;
}

/* .g-recaptcha > div {
	margin: 0 auto;
} */

/* 
 * Media Queries 
 */

/* Mobiler Umbruch auf Hamburger Menü */

@media screen and (max-width: 767px) {
	
	/* Allgemeines */
	
	#wrapper {
		display: block;
	}
	
	/* Navigation */
	
	#menue {
		padding-left: 20px;
		padding-right: 20px;
	}
	
	.menue-bild {
		display: none;
	}
	
	/* Bootstrap Toogle-Navigation */
	
	.navbar-brand {
		display: block;
		font-size: 12px;
	}
	
	.navbar-default .navbar-nav > li > a {
		padding-right: 0;
		padding-left: 0;
		width: 100%;
	}
	
	.navbar-header {
		text-align: center;
	}
	
	
	/* Seiteninhalt */
	
	#content {
		width: 100%;
		margin-top: -20px;
	}
	
	#map {
		left: 0;
	} 
	
	/* Kontakt */

	.tel-desktop {
		display: none;
	}
	
	.tel-mobile {
		display: block;
	}
}

/* Darstellung des Lebenslaufs und der Über-mich-Seite auf mobilen Endgeräten */

@media screen and (max-width: 1270px) {
	#lebenslauf,
  #ueber-mich, 
  #datenschutz {
		padding-left: 30px;
		padding-right: 30px;
  }
}

/* Veränderung der Breite der Hobbys auf der Über-Mich-Seite */

@media screen and (max-width: 1200px) {
}

@media screen and (max-width: 500px) {
	#hobbys {
		display: block;
	}
	.hobby-wrapper {
		width: 100%;
	}
}

/*
 * Keyframes
 */
 
@keyframes fadeIn {
	
	0% {
		opacity: 0;
	}

	100% {
		opacity: 1;
	}

}

@keyframes fadeInUp {
	
	0% {
		opacity: 0;
		transform: translate3d(0, 100%, 0);
	}

	100% {
		opacity: 1;
		transform: none;
	}
	
}

@keyframes fadeInRight {
	
	0% {
		opacity: 0;
		transform: translate3d(100%, 0, 0);
	}

	100% {
		opacity: 1;
		transform: none;
	}
	
}

/*
 * CSS Page Transitions
 */

.scene_element {
	animation-duration: 1s;
	transition-timing-function: ease-in;
	animation-fill-mode: both;
}

/** An element that fades in */
.scene_element--fadein {
	animation-name: fadeIn;
}

/** An element that fades in and slides up */
.scene_element--fadeinup {
	animation-name: fadeInUp;
}

/** An element that fades in and slides from the right */
.scene_element--fadeinright {
	animation-name: fadeInRight;
}
